summaryrefslogtreecommitdiff
path: root/debian
Commit message (Collapse)AuthorAge
* Add a DH_XUL_EXT_VENDOR environment variable to dh_xul-ext.Benjamin Drung2011-07-16
|
* Update and fix my email addresses.Benjamin Drung2011-07-16
|
* Add an --all parameter to dh_xul-ext to make packages that work with everyBenjamin Drung2011-07-09
| | | browser they can actually work with (Closes: #610499).
* Add a MOZ_XPI_CLEAN_COMMAND to xpi.mk; thanks to Ximin Luo for the patchBenjamin Drung2011-07-09
| | | (Closes: #632895).
* Update package lists for Debian unstable and Ubuntu oneiric.Benjamin Drung2011-07-06
|
* releasing version 0.26Benjamin Drung2011-06-15
|
* Update package description.Benjamin Drung2011-06-15
|
* Fix debian/changelog.Benjamin Drung2011-06-15
|
* Add setup.py to install moz_version.py.Benjamin Drung2011-06-15
|
* Specify minimum supported Python version.Benjamin Drung2011-06-15
|
* Drop DM-Upload-Allowed field.Benjamin Drung2011-06-15
|
* Bump Standards-Version to 3.9.1 (no changes required).Benjamin Drung2011-06-15
|
* Switch from python-support to dh_python2.Benjamin Drung2011-06-15
|
* Update my email address.Benjamin Drung2011-03-26
|
* * Add services to the list of directories to clean when usingChris Coulson2011-01-26
| | | | build-system.tar.gz - update src/xulapp.mk.in
* * Remove additional binary files from Mozilla tarballsChris Coulson2011-01-25
| | | - update src/mozclient/remove.binonly.sh
* releasing version 0.25Benjamin Drung2010-11-26
|
* * Use versioned target applications in Depends instead of unversioned targetBenjamin Drung2010-11-16
| | | | | | applications in Recommends. All extensions have to add ${xpi:Depends} to Depends. (Closes: #602051) - update src/dh_xul-ext - update src/xpi.mk
* * Switch from CDBS to dh 7 and simplifying packaging by improving Makefiles.Benjamin Drung2010-11-16
| | | | | | | | - add Makefile - update debian/compat - update debian/control - remove debian/manpages - update debian/rules - update src/Makefile
* * Drop backwards compatibility for Icedove/Thunderbird << 3.0.Benjamin Drung2010-11-16
| | | - update src/install-xpi
* * Update package list for Debian experimental and Ubuntu natty.Benjamin Drung2010-11-16
| | | | - update src/xul-app-data.csv.Debian - update src/xul-app-data.csv.Ubuntu
* * Fix additional quotation marks in extension ID (LP: #674171).Benjamin Drung2010-11-15
| | | | - update src/dh_xul-ext - update src/install-xpi
* RELEASE 0.24 to Debian unstableBenjamin Drung2010-09-22
|
* Bump Standards-Version to 3.9.1 (no changes required).Benjamin Drung2010-09-22
|
* * Drop packages that are transitional or removed in Ubuntu maverick.Benjamin Drung2010-09-22
| | | - update src/xul-app-data.csv.Ubuntu
* RELEASE 0.23 to Debian unstableBenjamin Drung2010-06-10
|
* * Switch from python-rdflib to python-librdf; thanks to Willi Mann for theBenjamin Drung2010-06-10
| | | | | patch. - update src/dh_xul-ext - update src/install-xpi
* RELEASE 0.22 to Debian unstableBenjamin Drung2010-04-11
|
* * Use debian/package.js as configuration file if it exists.Benjamin Drung2010-04-11
| | | | - update man/install-xpi.1 - update src/install-xpi
* * Add a dh buildsystem; thanks to Mike Hommey for the patch (Closes: #576946).Benjamin Drung2010-04-10
| | | | - add src/xul-ext_build.pm - update src/Makefile
* RELEASE 0.21 to Debian unstableBenjamin Drung2010-04-06
|
* Specify dpkg-source version 1.0 explicitly.Benjamin Drung2010-04-06
|
* * install-xpi will create a system preference file in /etc; addBenjamin Drung2010-04-06
| | | | | | | --disable-system-prefs to disable the new behavior (Closes: #558490, LP: #535544) - update man/install-xpi.1 - update src/install-xpi - update src/xpi.mk
* * Use optparse instead of getopts.Benjamin Drung2010-03-24
| | | - update src/install-xpi
* Add notice that unknown options will be ignored.Benjamin Drung2010-03-24
| | | | | | | | | - update man/dh_xul-ext.1 ------------- This line and the following will be ignored -------------- modified: debian/changelog man/dh_xul-ext.1
* * Use optparse instead of getopts and ignore unknown options (LP: #543862).Benjamin Drung2010-03-24
| | | - update src/dh_xul-ext
* * Install extensions into xul-ext subdirectory; thanks to Daniel Kahn GillmorBenjamin Drung2010-03-17
| | | | for the patch. - update src/install-xpi
* * add new xpi-repack scriptBenjamin Drung2010-03-10
| | | | | - add man/xpi-repack.1 - add src/xpi-repack - update src/Makefile
* * xulapp.mk:Micah Gersten2010-03-09
| | | | | - add testing and tools directory to clean target for xulrunner-1.9.2 build system - update src/xulapp.mk.in
* RELEASE 0.20 to Debian/unstableBenjamin Drung2010-02-04
|
* * xpi-data:Benjamin Drung2010-01-31
| | | | | | - Drop xulrunner-1.9 from Debian unstable. - update src/xul-app-data.csv.Debian - Add xulrunner-1.9.2 to Ubuntu lucid. - update src/xul-app-data.csv.Ubuntu
* * packaging:Benjamin Drung2010-01-31
| | | | - Bump Standards-Version to 3.8.4; no changes required. - update debian/control
* * dh_xul-ext:Benjamin Drung2010-01-31
| | | | - insert dh_xul-ext after dh_install into dh sequence (Closes: #566618) - update src/xul-ext.pm
* * xpi-data:Micah Gersten2010-01-31
| | | | | - make thunderbird unversioned - make firefox-3.6 and abrowser-3.6 be unversioned from now on - update src/xul-app-data.csv.Ubuntu
* RELEASE 0.19 to Debian/unstableBenjamin Drung2010-01-12
|
* - create additional symlinks for icedove and thunderbird, because they doBenjamin Drung2010-01-12
| | | | not scan /usr/{lib,share}/mozilla/extensions/$target_application - update src/install-xpi
* - create links for architecture independent extensions in /usr/share insteadBenjamin Drung2010-01-11
| | | | of /usr/lib (Closes: #564671) - update src/install-xpi
* - Add a test suite for testing moz-version --compareBenjamin Drung2010-01-08
| | | | | - add tests/test-moz-version - update debian/rules - update src/Makefile
* Install manpages using debhelper instead of MakefileBenjamin Drung2010-01-08
| | | | | - add debian/manpages - update src/Makefile
* * moz-version:Benjamin Drung2010-01-08
| | | | | | | - Add parameter for converting Mozilla versions into Debian upstream versions and the other way round. - update man/moz-version.1 - update src/moz_version.py - update src/moz-version